# Uses of Enum Class
org.bukkit.CropState

Packages that use CropState
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of CropState in org.bukkit

Methods in org.bukkit that return CropState
Modifier and Type
Method
Description
`static @Nullable CropState`
CropState.`getByData(byte data)`
Deprecated.
Magic value
`static CropState`
CropState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CropState[]`
CropState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CropState in org.bukkit.material

Fields in org.bukkit.material declared as CropState
Modifier and Type
Field
Description
`protected static final CropState`
Crops.`DEFAULT_STATE`
Deprecated.
Methods in org.bukkit.material that return CropState
Modifier and Type
Method
Description
`CropState`
Crops.`getState()`
Deprecated.
Gets the current growth state of this crop For crops with only four growth states such as beetroot, only the values SEEDED, SMALL, TALL and RIPE will be returned.
Methods in org.bukkit.material with parameters of type CropState
Modifier and Type
Method
Description
`void`
Crops.`setState(CropState state)`
Deprecated.
Sets the growth state of this crop For crops with only four growth states such as beetroot, the 8 CropStates are mapped into four states: SEEDED, SMALL, TALL and RIPE GERMINATED will change to SEEDED VERY_SMALL will change to SMALL MEDIUM will change to TALL VERY_TALL will change to RIPE
Constructors in org.bukkit.material with parameters of type CropState
Modifier
Constructor
Description
``
`Crops(CropState state)`
Deprecated.
Constructs a wheat crop block in the given growth state
``
`Crops(Material type, CropState state)`
Deprecated.
Constructs a crop block of the given type and in the given growth state